Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.apache.hadoop
Annotation Type HadoopVersionAnnotation

    @Retention(value=RUNTIME)
    @Target(value=PACKAGE)
    public @interface HadoopVersionAnnotation

A package attribute that captures the version of Hadoop that was compiled.

Required Element Summary
`String` | `date` Get the date when Hadoop was compiled.
`String` | `revision` Get the subversion revision.
`String` | `url` Get the url for the subversion repository.
`String` | `user` Get the username that compiled Hadoop.
`String` | `version` Get the Hadoop version

Element Detail

### version

    public abstract String version

  Get the Hadoop version

  Returns:
    the version string "0.6.3-dev"

### user

    public abstract String user

  Get the username that compiled Hadoop.

### date

    public abstract String date

  Get the date when Hadoop was compiled.

  Returns:
    the date in unix 'date' format

### url

    public abstract String url

  Get the url for the subversion repository.

### revision

    public abstract String revision

  Get the subversion revision.

  Returns:
    the revision number as a string (eg. "451451")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2009 The Apache Software Foundation